// $Id: FinderDef_i.cpp 76555 2007-01-24 15:39:09Z johnnyw $

#include "orbsvcs/IFRService/Repository_i.h"
#include "orbsvcs/IFRService/FinderDef_i.h"

ACE_RCSID (IFRService,
           FinderDef_i,
           "$Id: FinderDef_i.cpp 76555 2007-01-24 15:39:09Z johnnyw $")


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_FinderDef_i::TAO_FinderDef_i (TAO_Repository_i *repo)
  : TAO_IRObject_i (repo),
    TAO_Contained_i (repo),
    TAO_OperationDef_i (repo)
{
}

TAO_FinderDef_i::~TAO_FinderDef_i (void)
{
}

CORBA::DefinitionKind
TAO_FinderDef_i::def_kind (void)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  return CORBA::dk_Finder;
}

TAO_END_VERSIONED_NAMESPACE_DECL
